Bug 51018 - Installer overwrites any changes to fstab made in the %post section of a kickstart file
Summary: Installer overwrites any changes to fstab made in the %post section of a kick...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: roswell
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-06 16:56 UTC by ajs
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 22:41:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ajs 2001-08-06 16:56:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.9.1)
Gecko/20010608

Description of problem:
I added some nsf mounts to the end of fstab while in the %post section of
my kickstart file.  When the installer gets to the writeConfiguration
function it stomps on the changes that I made.

Tony

How reproducible:
Always

Steps to Reproduce:
Add the following lines to the %post section of your kickstart file:
  cd /mnt/sysimage/  # if you used %post --nochroot
  mkdir nfs
  mkdir nfs/u0
  cd etc
  cp fstab fstab.before
  echo "redwood:/nfs/u0  /nfs/u0     nfs     defaults        1 2" >> fstab
  echo "" >> fstab
  cp fstab fstab.after



Additional info:

Comment 1 Glen Foster 2001-08-06 22:41:12 UTC
We (Red Hat) should try to fix this for the next release.

Comment 2 Jeremy Katz 2001-08-07 01:29:40 UTC
Thanks for the report; fixed in CVS


Note You need to log in before you can comment on or make changes to this bug.